commit:     8b91638fd30bfccde7f420db3aaa7c0723c184a5
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 10 20:22:41 2018 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Tue Apr 10 20:26:47 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b91638f

app-arch/brotli: 1.0.4 version bump

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 app-arch/brotli/Manifest            |  1 +
 app-arch/brotli/brotli-1.0.4.ebuild | 66 +++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/app-arch/brotli/Manifest b/app-arch/brotli/Manifest
index f77997dde3e..3cf8283860c 100644
--- a/app-arch/brotli/Manifest
+++ b/app-arch/brotli/Manifest
@@ -1,2 +1,3 @@
 DIST brotli-1.0.2.tar.gz 23736359 BLAKE2B 
c5467dc52f97942d790b835d5e2c06d2046c3df249446b775d58e56feeb5d5fdd3e1e8e42c5eff92df2bc2b47afabd36389e14afead5fd376e18c8517d1e67f7
 SHA512 
b3ec98159e63b4169dea3e958d60d89247dc1c0f78aab27bfffb2ece659fa024df990d410aa15c12b2082d42e3785e32ec248dce2b116c7f34e98bb6337f9fc9
 DIST brotli-1.0.3.tar.gz 23815300 BLAKE2B 
9569267782a8159d290e0f1b524a985144d1ae68a45a732443aca973dd0407c50249ce62389848d97cbc33eba3062ba471064570418c36158b97935ae4b7fb73
 SHA512 
93adcf437d730ac403e444285ac8aefbb2c8a6b5e1b064e8ee33684c067287a8159e0ee73d2217c167881e87da73fa494792d963a15508fd42b2ac4a5b52823c
+DIST brotli-1.0.4.tar.gz 23819000 BLAKE2B 
5c0a7ed2cb7e15722c2f08dbaaaa5e74f10a03b95961d77db285fac437a489158cf8f7d43a55fac75eb5423951286accf0285e3e3471e34e35868a69dbf42f16
 SHA512 
7d41ad37ca0755ba9e08e7355fb031e24a53a5f6d44ff827adee6d9712765af02142cb463ef558f92449ce3b73e559cffb52315a329ab702f4c46927f993b616

diff --git a/app-arch/brotli/brotli-1.0.4.ebuild 
b/app-arch/brotli/brotli-1.0.4.ebuild
new file mode 100644
index 00000000000..e06daa440b9
--- /dev/null
+++ b/app-arch/brotli/brotli-1.0.4.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy )
+DISTUTILS_OPTIONAL="1"
+
+inherit cmake-utils distutils-r1 eapi7-ver
+
+DESCRIPTION="Generic-purpose lossless compression algorithm"
+HOMEPAGE="https://github.com/google/brotli";
+
+SLOT="0/$(ver_cut 1)"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}"
+
+IUSE="python test"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+LICENSE="MIT python? ( Apache-2.0 )"
+
+DOCS=( README.md CONTRIBUTING.md )
+
+if [[ ${PV} == "9999" ]] ; then
+       SRC_URI=""
+       EGIT_REPO_URI="https://github.com/google/${PN}.git";
+       inherit git-r3
+else
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 
~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
+       SRC_URI="https://github.com/google/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+fi
+
+src_prepare() {
+       cmake-utils_src_prepare
+       use python && distutils-r1_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_SHARED_LIBS=ON
+               -DBUILD_TESTING="$(usex test)"
+       )
+       cmake-utils_src_configure
+       use python && distutils-r1_src_configure
+}
+
+src_compile() {
+       cmake-utils_src_compile
+       use python && distutils-r1_src_compile
+}
+
+python_test(){
+       esetup.py test || die
+}
+
+src_test() {
+       cmake-utils_src_test
+       use python && distutils-r1_src_test
+}
+
+src_install() {
+       cmake-utils_src_install
+       use python && distutils-r1_src_install
+}

Reply via email to